Closed Bug 1083846 Opened 6 years ago Closed 6 years ago

Regression: about:home magnifying glass icon swaps to a caution icon

Categories

(Firefox for Android :: General, defect)

35 Branch
All
Android
defect
Not set
normal

Tracking

()

VERIFIED FIXED
Tracking Status
firefox34 --- unaffected
firefox35 --- verified
firefox36 --- verified
fennec 35+ ---

People

(Reporter: aaronmt, Assigned: wesj)

References

Details

(Keywords: regression, reproducible)

Attachments

(1 file)

Attached image screenshot.png
This is quite random

i) Enter Guest-Mode on Nightly (10/16) or Aurora (10/16)
ii) See about:home magnifying glass swap over to a caution icon

--
Nexus 5 (Android 4.4.4)
M-C window 

Last good revision: f0bb13ef0ee4 (2014-10-09)
First bad revision: 50b689feab5f (2014-10-10)

Pushlog:
https://hg.mozilla.org/mozilla-central/pushloghtml?fromchange=f0bb13ef0ee4&tochange=50b689feab5f

Under fx-team, I see bug 1071267 in there which sounds suspect.
Ah, 

Last good revision: 97b76ccf75dc
First bad revision: 4b9e08526336
Pushlog:
https://hg.mozilla.org/integration/fx-team/pushloghtml?fromchange=97b76ccf75dc&tochange=4b9e08526336

rnewman@mozilla.com
Thu Oct 09 16:04:23 2014 +0000	4b9e08526336	Richard Newman — Bug 1080304 - Reject RestrictedProfiles.isAllowed calls for unknown actions. r=mfinkle
75f9efa43bb4	Richard Newman — Bug 1079876 - Handle unexpected exceptions when reading external extras. r=mfinkle
Related?

E/SQLiteLog( 2011): (1) no such table: bookmarks
F/GeckoLocalBrowserDB( 2011): Reflection error fetching favicon: bookmarkdefaults_title_aboutfirefox
F/GeckoLocalBrowserDB( 2011): java.lang.NoSuchFieldException: bookmarkdefaults_favicon_aboutfirefox
F/GeckoLocalBrowserDB( 2011): 	at java.lang.Class.getField(Class.java:724)
F/GeckoLocalBrowserDB( 2011): 	at org.mozilla.gecko.db.LocalBrowserDB.getFaviconId(LocalBrowserDB.java:416)
F/GeckoLocalBrowserDB( 2011): 	at org.mozilla.gecko.db.LocalBrowserDB.addDefaultBookmarks(LocalBrowserDB.java:197)
F/GeckoLocalBrowserDB( 2011): 	at org.mozilla.gecko.GeckoProfile$1.run(GeckoProfile.java:742)
F/GeckoLocalBrowserDB( 2011): 	at android.os.Handler.handleCallback(Handler.java:733)
F/GeckoLocalBrowserDB( 2011): 	at android.os.Handler.dispatchMessage(Handler.java:95)
F/GeckoLocalBrowserDB( 2011): 	at android.os.Looper.loop(Looper.java:136)
F/GeckoLocalBrowserDB( 2011): 	at org.mozilla.gecko.util.GeckoBackgroundThread.run(GeckoBackgroundThread.java:43)
E/GeckoLocalBrowserDB( 2011): Failed to find favicon resource ID for bookmarkdefaults_title_aboutfirefox
F/GeckoLocalBrowserDB( 2011): Reflection error fetching favicon: bookmarkdefaults_title_aboutfirefox
F/GeckoLocalBrowserDB( 2011): java.lang.NoSuchFieldException: bookmarkdefaults_favicon_aboutfirefox
F/GeckoLocalBrowserDB( 2011): 	at java.lang.Class.getField(Class.java:724)
F/GeckoLocalBrowserDB( 2011): 	at org.mozilla.gecko.db.LocalBrowserDB.getFaviconId(LocalBrowserDB.java:416)
F/GeckoLocalBrowserDB( 2011): 	at org.mozilla.gecko.db.LocalBrowserDB.addDefaultBookmarks(LocalBrowserDB.java:199)
F/GeckoLocalBrowserDB( 2011): 	at org.mozilla.gecko.GeckoProfile$1.run(GeckoProfile.java:742)
F/GeckoLocalBrowserDB( 2011): 	at android.os.Handler.handleCallback(Handler.java:733)
F/GeckoLocalBrowserDB( 2011): 	at android.os.Handler.dispatchMessage(Handler.java:95)
F/GeckoLocalBrowserDB( 2011): 	at android.os.Looper.loop(Looper.java:136)
F/GeckoLocalBrowserDB( 2011): 	at org.mozilla.gecko.util.GeckoBackgroundThread.run(GeckoBackgroundThread.java:43)
E/GeckoLocalBrowserDB( 2011): Failed to find favicon resource ID for bookmarkdefaults_title_aboutfirefox
Flags: needinfo?(rnewman)
That bit of logspew was noted and discussed in Bug 1065485 Comment 17. If you're seeing it too, please file; it's not supposed to happen. (I wonder if ProGuard is eliminating the resource?)


To return to the original bug: I suspect this isn't new; we secretly load a Real Live Page called about:home in the background. It's possible that that is raising some kind of weird security error and causing that icon to show. Or there could be some weird resource build error that put the wrong icon there.

Logcat, please.
Flags: needinfo?(rnewman)
Assignee: nobody → rnewman
tracking-fennec: ? → 35+
I wonder if this is just us refusing to load about:home in guest mode? Hah.
Status: NEW → ASSIGNED
Depends on: 1080304
Hardware: ARM → All
(In reply to Richard Newman [:rnewman] from comment #4)
> That bit of logspew was noted and discussed in Bug 1065485 Comment 17. If
> you're seeing it too, please file; it's not supposed to happen. (I wonder if
> ProGuard is eliminating the resource?)

Filed as bug 1084022
* Tabs tray shows the page title as "Problem loading page".

* Why the hell are we thumbnailing about:home?

10-16 13:47:29.782 D/GeckoToolbar( 4231): onTabChanged: THUMBNAIL
10-16 13:47:29.782 D/GeckoBrowserApp( 4231): BrowserApp.onTabChanged: 0: THUMBNAIL

* canLoadUrl is not being called, so I'm guessing it's something to do with this:

10-16 13:47:29.782 W/GeckoConsole( 4231): [JavaScript Error: "uncaught exception: Initialization failed"]
10-16 13:47:29.782 W/GeckoConsole( 4231): [JavaScript Error: "NS_ERROR_XPC_GS_RETURNED_FAILURE: Component returned failure code: 0x80570016 (NS_ERROR_XPC_GS_RETURNED_FAILURE) [nsIJSCID.getService]" {file: "chrome://browser/content/browser.js" line: 325}]
10-16 13:47:29.817 D/GeckoTabs( 4231): handleMessage: DOMTitleChanged
10-16 13:47:29.817 D/GeckoToolbar( 4231): onTabChanged: TITLE
10-16 13:47:29.822 D/GeckoBrowserApp( 4231): BrowserApp.onTabChanged: 0: TITLE
10-16 13:47:29.822 W/GeckoConsole( 4231): [JavaScript Error: "TypeError: aRequest is null" {file: "chrome://browser/content/browser.js" line: 4289}]
10-16 13:47:29.822 D/GeckoTabs( 4231): handleMessage: Content:SecurityChange
10-16 13:47:29.827 D/GeckoToolbar( 4231): onTabChanged: SECURITY_CHANGE
Fixed by Bug 1080304.
Assignee: rnewman → wjohnston
Aaron, could you verify on Aurora 35? I don't have an install to hand.
Flags: needinfo?(aaron.train)
Fixed. Resolved.
Status: ASSIGNED → RESOLVED
Closed: 6 years ago
Flags: needinfo?(aaron.train)
Resolution: --- → FIXED
Verified as fixed in:
Builds:
Firefox for Android 36.0a1 (2014-11-12)
Firefox for Android 35.0a2 (2014-11-12)

Device:
Nexus 4 (Android 4.4.4)
Status: RESOLVED → VERIFIED
You need to log in before you can comment on or make changes to this bug.